import 'dart:io';

import 'package:wife/shared/helper/exec/exec.dart';

class ProjectGenerator {
  static create() async {
    var applicationName = getInput(
      message: "1. Application Name:",
    );

    var packageName = getInput(
      message: "2. Package Name:",
    );

    writeSpace();
    writeSeparator();
    writeSeparator();
    print("Confirm:");
    print("Applicaton Name : ${applicationName}");
    print("Package Name : ${packageName}");
    writeSeparator();
    writeSeparator();
    print("Create Wife Project? (Y/N)");
    var confirm = getInput();

    if (confirm.toString().toLowerCase() == "n") {
      return;
    }

    var dir = Directory.current;
    // dir.deleteSync(
    //   recursive: true,
    // );

    List items = dir.listSync();
    for (var item in items) {
      if (item is File) {
        File file = item;
        file.deleteSync();
      } else if (item is Directory) {
        Directory dir = item;
        dir.deleteSync(
          recursive: true,
        );
      }
    }

    // exec('del /s /q /f .git');
    // exec('del /s /q /f .git');
    // exec('del /s /q /f *');
    exec('git clone https://github.com/flutterlabz/wife_app .');

    // print(res);
    // exec('del /s /q /f .git');

    // var dir = Directory.current;

    // var filePath = "$dir/pubspec.yaml";

    // filePath = filePath.replaceAll("'", "");
    // filePath = filePath.replaceAll("\\", "/");
    // print(filePath);
    var p = File("./pubspec.yaml");
    print(p.existsSync());
    // // print(p.readAsStringSync());
  }
}
